#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

autogen-files := debian/lprng.init debian/lprng.if-up

override_dh_auto_configure:
	# Required to stop timestamp skew
	touch configure.in && touch aclocal.m4 && touch configure

	dh_auto_configure -- $(confflags) \
		--with-config_subdir=lprng \
		--with-filterdir=\$${prefix}/lib/${DEB_HOST_MULTIARCH}/lprng/filters \
		--with-lockfile=/var/run/lprng/lpd \
		--with-unix_socket_path=/var/run/lprng/socket  \
		--with-openssl-lib="/usr/lib /usr/lib/${DEB_HOST_MULTIARCH}" \
		--enable-kerberos_checks --enable-kerberos \
		--with-groupid=lp \
		--disable-remote \
		--enable-lpd.conf.local \
		CHOWN=/bin/chown \
		CHGRP=/bin/chgrp \

override_dh_auto_install: $(autogen-files)
	# Add here commands to install the package into debian/lprng.
	dh_auto_install -- POSTINSTALL=NO DESTDIR=$(CURDIR)/debian/lprng SAMPLESUFFIX=""
	install -m 644 conf/lpd.perms $(CURDIR)/debian/lprng/etc/lprng
	install -m 644 debian/lpd.conf-debian $(CURDIR)/debian/lprng/etc/lprng/lpd.conf
	chmod 644 $(CURDIR)/debian/lprng/etc/lprng/lpd.conf
	# Remove sample printcap
	rm $(CURDIR)/debian/lprng/etc/printcap

override_dh_auto_clean:
	rm -f $(autogen-files)
	dh_auto_clean

debian/%: debian/%.in
	        sed -e 's/$${DEB_HOST_MULTIARCH}/$(DEB_HOST_MULTIARCH)/g' $< > $@
